Description

Morpho currently uses local identifiers that are not necessarily globally unique for data objects and metadata documents. Users
should be able to publish their data packages and associated objects with a digital object identifier that is universally recognized as a
citable object. Towards this end, add a feature to morpho that allows a user to choose a particular version of a data set to be
'published’ with a DOI. This effectively means that a new version of all associated objects will be created, each with a minted, unique
DOl that can be used to cite the object. Morpho will undertake the following steps when a user selects 'Publish using Digital Object
Identifiers (DOls)' as an action:

1) Ensure that all objects in the current package are saved and valid

2) For each data object, metadata object, and package ORE in the package

a) Call the MN to reserve a DOI for that object, if it hasn't already been assigned a DOI

-- if DOI minting errors occur, fail with explanation to user

b) Update all metadata and package pointers to use these new DOls to reference data, etc.

c) save a new version of the object using update() to replace the old version with the DOI-named version

Note that when the receiving MN receives a create() or update() call that uses a DOI as its identifier, it will ensure that the user has
the right to mint that DOI (either it is unreserved or reserved by that user), and then it will register that identifier with the EZID DOI
registry service with appropriate metadata based on the DataCite standards.

The GUI for publishing with a DOI could either be part of the current Save dialog when users are saving to the network, or might be a
separate menu action that is independent of the Save dialog.

Related issues:

Blocks Morpho - Bug #5802: Use UUID for local identifiers Resolved 01/23/2013
Blocks Morpho - Bug #5757: Add identifier scheme drop down to id conflict window New 12/03/2012
Blocks Metacat - Bug #5513: add support for DOI identifiers from EZID Resolved 10/26/2011
Blocks Metacat - Bug #5755: Include EZID api library in Metacat for registeri... Resolved 11/30/2012
Blocks Morpho - Bug #5826: Show identifier conflict prompt when conflict is d... Resolved 01/28/2013
History

#1 - 01/26/2013 08:17 AM - ben leinfelder

Move to 2.1 - after site review and a stable 2.0 release. Coincides with DOI reservation/registration supporton Metacat.

#2 - 03/04/2013 05:06 PM - ben leinfelder

Decided to include this in 2.0.0 release since the site review deadline has already passed.

#3 - 03/27/2013 02:31 PM - Redmine Admin
Original Bugzilla ID was 5799
